directories:
  output: dist
  buildResources: build
files:
  - filter:
      - resources/
      - index.html
      - update.html
      - main.js
      - renderer.js
      - package.json
win:
  target:
    - target: nsis
      arch:
        - x64
        - ia32
  publish:
    - provider: generic
      url: https://static.horganice.in.th/cid-reader/dist
mac:
  category: public.app-category.utilities
  icon: resources/app.icns
  target:
    - default
  publish:
    - provider: generic
      url: https://static.horganice.in.th/cid-reader/dist-mac
  hardenedRuntime: true
  gatekeeperAssess: false
  entitlements: build/entitlements.mac.plist
  entitlementsInherit: build/entitlements.mac.plist
appId: com.horganice.win.cidreader
productName: Horganice CID Reader
copyright: Copyright © 2020 Horganice Co., Ltd.
nsis:
  perMachine: false
  createDesktopShortcut: false
afterSign: scripts/notarize.js
electronVersion: 7.1.9
